#
# spec file for package python-azure-sdk
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%if 0%{?suse_version} >= 1500
%define skip_python2 1
%endif
Name:           python-azure-sdk
Version:        4.0.0
Release:        11.3
Summary:        Microsoft Azure bundle
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/Azure/azure-sdk-for-python
BuildRequires:  python-rpm-macros
Requires:       python-adal
Requires:       python-applicationinsights
Requires:       python-azure-agrifood-farming
Requires:       python-azure-ai-anomalydetector
Requires:       python-azure-ai-formrecognizer
Requires:       python-azure-ai-language-conversations
Requires:       python-azure-ai-language-questionanswering
Requires:       python-azure-ai-metricsadvisor
Requires:       python-azure-ai-nspkg
Requires:       python-azure-ai-textanalytics
Requires:       python-azure-ai-translation-document
Requires:       python-azure-appconfiguration
Requires:       python-azure-applicationinsights
Requires:       python-azure-batch
Requires:       python-azure-cognitiveservices-anomalydetector
Requires:       python-azure-cognitiveservices-formrecognizer
Requires:       python-azure-cognitiveservices-inkrecognizer
Requires:       python-azure-cognitiveservices-knowledge-nspkg
Requires:       python-azure-cognitiveservices-knowledge-qnamaker
Requires:       python-azure-cognitiveservices-language-luis
Requires:       python-azure-cognitiveservices-language-nspkg
Requires:       python-azure-cognitiveservices-language-spellcheck
Requires:       python-azure-cognitiveservices-language-textanalytics
Requires:       python-azure-cognitiveservices-nspkg
Requires:       python-azure-cognitiveservices-personalizer
Requires:       python-azure-cognitiveservices-search-autosuggest
Requires:       python-azure-cognitiveservices-search-customimagesearch
Requires:       python-azure-cognitiveservices-search-customsearch
Requires:       python-azure-cognitiveservices-search-entitysearch
Requires:       python-azure-cognitiveservices-search-imagesearch
Requires:       python-azure-cognitiveservices-search-newssearch
Requires:       python-azure-cognitiveservices-search-nspkg
Requires:       python-azure-cognitiveservices-search-videosearch
Requires:       python-azure-cognitiveservices-search-visualsearch
Requires:       python-azure-cognitiveservices-search-websearch
Requires:       python-azure-cognitiveservices-vision-computervision
Requires:       python-azure-cognitiveservices-vision-contentmoderator
Requires:       python-azure-cognitiveservices-vision-customvision
Requires:       python-azure-cognitiveservices-vision-face
Requires:       python-azure-cognitiveservices-vision-nspkg
Requires:       python-azure-common
Requires:       python-azure-communication-administration
Requires:       python-azure-communication-chat
Requires:       python-azure-communication-email
Requires:       python-azure-communication-identity
Requires:       python-azure-communication-networktraversal
Requires:       python-azure-communication-nspkg
Requires:       python-azure-communication-phonenumbers
Requires:       python-azure-communication-sms
Requires:       python-azure-confidentialledger
Requires:       python-azure-containerregistry
Requires:       python-azure-core
Requires:       python-azure-core-tracing-opencensus
Requires:       python-azure-core-tracing-opentelemetry
Requires:       python-azure-cosmos
Requires:       python-azure-data-nspkg
Requires:       python-azure-data-tables
Requires:       python-azure-datalake-store
Requires:       python-azure-digitaltwins-core
Requires:       python-azure-eventgrid
Requires:       python-azure-eventhub
Requires:       python-azure-eventhub-checkpointstoreblob
Requires:       python-azure-eventhub-checkpointstoreblob-aio
Requires:       python-azure-functions-devops-build
Requires:       python-azure-graphrbac
Requires:       python-azure-identity
Requires:       python-azure-iot-deviceupdate
Requires:       python-azure-iot-nspkg
Requires:       python-azure-keyvault
Requires:       python-azure-keyvault-administration
Requires:       python-azure-keyvault-certificates
Requires:       python-azure-keyvault-keys
Requires:       python-azure-keyvault-nspkg
Requires:       python-azure-keyvault-secrets
Requires:       python-azure-loganalytics
Requires:       python-azure-media-videoanalyzer-edge
Requires:       python-azure-messaging-webpubsubservice
Requires:       python-azure-mgmt
Requires:       python-azure-mgmt-appcontainers
Requires:       python-azure-mgmt-confidentialledger
Requires:       python-azure-mgmt-dnsresolver
Requires:       python-azure-mgmt-dynatrace
Requires:       python-azure-mgmt-nginx
Requires:       python-azure-mgmt-scvmm
Requires:       python-azure-mgmt-workloads
Requires:       python-azure-mixedreality-authentication
Requires:       python-azure-monitor
Requires:       python-azure-monitor-ingestion
Requires:       python-azure-monitor-query
Requires:       python-azure-multiapi-storage
Requires:       python-azure-nspkg
Requires:       python-azure-purview-account
Requires:       python-azure-purview-administration
Requires:       python-azure-purview-catalog
Requires:       python-azure-purview-scanning
Requires:       python-azure-schemaregistry
Requires:       python-azure-schemaregistry-avroserializer
Requires:       python-azure-search-documents
Requires:       python-azure-search-nspkg
Requires:       python-azure-security-attestation
Requires:       python-azure-servicebus
Requires:       python-azure-servicefabric
Requires:       python-azure-servicemanagement-legacy
Requires:       python-azure-storage-blob
Requires:       python-azure-storage-common
Requires:       python-azure-storage-file
Requires:       python-azure-storage-file-datalake
Requires:       python-azure-storage-file-share
Requires:       python-azure-storage-nspkg
Requires:       python-azure-storage-queue
Requires:       python-azure-synapse
Requires:       python-azure-synapse-accesscontrol
Requires:       python-azure-synapse-artifacts
Requires:       python-azure-synapse-managedprivateendpoints
Requires:       python-azure-synapse-monitoring
Requires:       python-azure-synapse-nspkg
Requires:       python-azure-synapse-spark
Requires:       python-azure-template
Requires:       python-msal
Requires:       python-msal-extensions
Requires:       python-msrest
Requires:       python-msrestazure
Requires:       python-pydocumentdb
Requires:       python-uamqp
BuildArch:      noarch
%python_subpackages

%description
This is the Microsoft Azure bundle.

This package does not contain any code in itself. It installs a set
of packages that provide Microsoft Azure functionality.

All packages in this bundle have been tested with Python 2.7, 3.4, 3.5, 3.6 and 3.7.

%prep
# Nothing to prep

%build
# Nothing to build

%install
# Nothing to install

%files %{python_files}

%changelog
* Fri Sep 30 2022 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Add additional packages from the Azure SDK to Requires
  + python-azure-ai-language-conversations
  + python-azure-communication-email
  + python-azure-iot-deviceupdate
  + python-azure-iot-nspkg
  + python-azure-mgmt-appcontainers
  + python-azure-mgmt-confidentialledger
  + python-azure-mgmt-dnsresolver
  + python-azure-mgmt-dynatrace
  + python-azure-mgmt-nginx
  + python-azure-mgmt-scvmm
  + python-azure-mgmt-workloads
  + python-azure-monitor-ingestion
- Remove deprecated packages from the Azure SDK from Requires
  + python-azure-devops
  + python-vsts
  + python-vsts-cd-manager
* Wed Mar 16 2022 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Add additional packages from the Azure SDK to Requires
  + python-azure-agrifood-farming
  + python-azure-ai-language-questionanswering
  + python-azure-ai-translation-document
  + python-azure-communication-identity
  + python-azure-communication-networktraversal
  + python-azure-communication-phonenumbers
  + python-azure-confidentialledger
  + python-azure-containerregistry
  + python-azure-digitaltwins-core
  + python-azure-media-videoanalyzer-edge
  + python-azure-messaging-webpubsubservice
  + python-azure-mgmt
  + python-azure-mixedreality-authentication
  + python-azure-monitor-query
  + python-azure-purview-account
  + python-azure-purview-administration
  + python-azure-purview-catalog
  + python-azure-purview-scanning
  + python-azure-schemaregistry
  + python-azure-schemaregistry-avroserializer
  + python-azure-security-attestation
* Fri Jan  8 2021 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Add additional packages from the Azure SDK to Requires
  + python-azure-ai-formrecognizer
  + python-azure-synapse-managedprivateendpoints
  + python-azure-synapse-monitoring
  + python-azure-template
- Remove all version constraints in Requires
* Thu Nov 26 2020 Robert Schweikert <rjschwei@suse.com>
- Only build Python3 flavors for distributions 15 and greater
* Wed Sep 23 2020 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Add additional packages from the Azure SDK to Requires
  + python-azure-keyvault-administration
- Update version numbers for component packages in Requires
  + python-azure-appconfiguration >= 1.1.0
* Wed Sep  9 2020 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Add additional packages from the Azure SDK to Requires
  + python-azure-cognitiveservices-inkrecognizer
- Update version numbers for component packages in Requires
  + python-azure-cognitiveservices-anomalydetector >= 0.3.0
  + python-azure-cognitiveservices-knowledge-qnamaker >= 0.2.0
  + python-azure-cognitiveservices-language-luis >= 0.7.0
  + python-azure-cognitiveservices-language-textanalytics >= 0.2.0
  + python-azure-cognitiveservices-search-autosuggest >= 0.2.0
  + python-azure-cognitiveservices-search-visualsearch >= 0.2.0
  + python-azure-cognitiveservices-vision-computervision >= 0.6.0
  + python-azure-cognitiveservices-vision-customvision >= 3.0.0
  + python-azure-cognitiveservices-vision-face >= 0.4.1
* Wed Apr  1 2020 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Add additional packages from the Azure SDK to Requires
  + python-azure-eventhub
  + python-azure-eventhub-checkpointstoreblob
- Update version numbers for component packages in Requires
  + python-azure-batch >= 9.0.0
  + python-azure-datalake-store >= 0.0.48
* Mon Jan 27 2020 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Update version numbers for component packages in Requires
  + python-azure-cognitiveservices-language-spellcheck >= 2.0.0
  + python-azure-cognitiveservices-search-customimagesearch >= 0.2.0
  + python-azure-cognitiveservices-search-customsearch >= 0.3.0
  + python-azure-cognitiveservices-search-entitysearch >= 2.0.0
  + python-azure-cognitiveservices-search-imagesearch >= 2.0.0
  + python-azure-cognitiveservices-search-newssearch >= 2.0.0
  + python-azure-cognitiveservices-search-videosearch >= 2.0.0
  + python-azure-cognitiveservices-search-websearch >= 2.0.0
  + python-azure-cognitiveservices-vision-computervision >= 0.5.0
  + python-azure-cognitiveservices-vision-customvision >= 1.0.0
  + python-azure-keyvault >= 4.0.0
  + python-azure-servicefabric >= 7.0.0.0
  + python-azure-storage-blob >= 12.1.0
  + python-azure-storage-queue >= 12.1.0
* Fri Oct  4 2019 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Add additional packages from the Azure SDK to Requires
  + python-azure-appconfiguration
  + python-azure-cognitiveservices-anomalydetector
  + python-azure-cognitiveservices-formrecognizer
  + python-azure-cognitiveservices-personalizer
  + python-azure-cognitiveservices-vision-face
  + python-azure-cosmos
  + python-azure-keyvault-certificates
  + python-azure-keyvault-keys
  + python-azure-keyvault-secrets
- Update version numbers for component packages in Requires
  + python-azure-batch >= 8.0.0
  + python-azure-storage-blob >= 2.0.0
  + python-azure-storage-file >= 2.0.0
  + python-azure-storage-queue >= 2.0.0
* Wed Apr 10 2019 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Add additional packages from the Azure SDK to Requires
  + python-azure-cognitiveservices-knowledge-qnamaker
  + python-azure-cognitiveservices-search-customimagesearch
- Update version numbers for component packages in Requires
  + python-azure-batch >= 6.0.0
  + python-azure-cognitiveservices-vision-contentmoderator >= 1.0.0
* Wed Nov 14 2018 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Replace python-azure-storage with component packages in Requires
  + python-azure-storage-blob >= 1.3
  + python-azure-storage-file >= 1.3
  + python-azure-storage-queue >= 1.3
* Thu Sep  6 2018 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 4.0.0
- Add additional packages from the Azure SDK to Requires
  + python-azure-applicationinsights
  + python-azure-cognitiveservices-language-luis
  + python-azure-cognitiveservices-search-autosuggest
  + python-azure-cognitiveservices-search-visualsearch
  + python-azure-loganalytics
  + python-azure-monitor
- Update version numbers for component packages in Requires
  + python-azure-batch >= 5.0.0
  + python-azure-cognitiveservices-language-spellcheck >= 1.0.0
  + python-azure-cognitiveservices-search-entitysearch >= 1.0.0
  + python-azure-cognitiveservices-search-imagesearch >= 1.0.0
  + python-azure-cognitiveservices-search-newssearch >= 1.0.0
  + python-azure-cognitiveservices-search-websearch >= 1.0.0
  + python-azure-cognitiveservices-vision-computervision >= 0.2.0
  + python-azure-cognitiveservices-vision-customvision >= 0.3.0
  + python-azure-datalake-store >= 0.0.30
  + python-azure-eventgrid >= 1.2.0
  + python-azure-graphrbac >= 0.40.0
  + python-azure-keyvault >= 1.1.0
  + python-azure-mgmt >= 4.0.0
  + python-azure-servicefabric >= 6.3.0.0
  + python-azure-storage >= 0.36.0
* Mon Apr 16 2018 adrian.glaubitz@suse.com
- New upstream release
  + Version 3.0.0
- Bump python-azure-mgmt to >= 2.0.0 in Requires
- Add additional packages from the Azure SDK to Requires
  + python-azure-cognitiveservices-vision-contentmoderator
  + python-azure-cognitiveservices-vision-customvision
  + python-azure-eventgrid
* Mon Jan 29 2018 adrian.glaubitz@suse.com
- Add additional packages from the Azure SDK to Requires
  + python-azure-cognitiveservices-language-spellcheck
  + python-azure-cognitiveservices-language-textanalytics
  + python-azure-cognitiveservices-search-customsearch
  + python-azure-cognitiveservices-search-entitysearch
  + python-azure-cognitiveservices-search-imagesearch
  + python-azure-cognitiveservices-search-newssearch
  + python-azure-cognitiveservices-search-videosearch
  + python-azure-cognitiveservices-search-websearch
  + python-azure-cognitiveservices-vision-computervision
* Fri Oct  6 2017 adrian.glaubitz@suse.com
- Bump python-azure-servicefabric to >= 6.0.1 in Requires
* Thu Oct  5 2017 adrian.glaubitz@suse.com
- Bump python-azure-batch to >= 4.0.0 in Requires
* Mon Oct  2 2017 adrian.glaubitz@suse.com
- Remove python-azure-sdk <= 2.0.0 from Conflicts
* Tue Aug 22 2017 adrian.glaubitz@suse.com
- Separate Python Azure SDK into components (bsc#1054413)
  + Bump version to 2.0.0.1 to obsolete the monolitic package
  + Add individual components of Python Azure SDK to Requires
  + Drop azure-sdk-for-python-2.0.0.tar.gz
  + Drop azure-sdk-for-python-2-6-setup.patch
  + Drop azure-sdk-for-python-readme-suse.patch
  + Drop support for SLE 11 and earlier
* Wed Mar  1 2017 ms@suse.com
- Fixup changelog into descending chronological order
* Wed Mar  1 2017 ms@suse.com
- Include in SLE 12 (fate#322171, bsc#1014478)
  + Require python-msrest and python-msrestazure
* Fri Sep 16 2016 ms@suse.com
- Tracker entry for package update (bnc#999200)
* Tue Aug 23 2016 ms@suse.com
- 2016-08-08 Version 2.0.0 / 0.30.0
  * KeyVault Management
  * Batch and Batch Management
  * Enhanced libraries compared to 1.0.0 preview
  * Storage: create storage accounts, list keys, and more. Latest API version.
  * Resource:
  * resources : create resource groups, register providers and more
  * features : manage features of provider and more
  * authorization : manage resource group lock and more
  * subscriptions : manage subscriptions and more
  * policy : manage resources policy among users and more
  * Network: create virtual networks, network interfaces, public ips and more
  * Compute: create virtual machines, containers and more
  * *BREAKING CHANGES**
  We made efforts to document the breaking from ARM 1.0.x version to
  2.0.0 here<https://github.com/Azure/azure-sdk-for-python/wiki/
  Migrate-from-1.0.x-0.20.0-to-2.0.0-0.30.0>
  If you were already using the 2.0.0RC5 version, there are no breaking changes.
  * *RC6 PACKAGES**
  All RC6 packages use the latest APIVersion available for these services
  azure-storage 0.32.0
  * Major version. Check the ChangeLog on storage github account
    for details<https://github.com/Azure/azure-storage-python/releases>
  2016-08-01 azure-servicemanagement-legacy 0.20.4
  * *Bugfix**
  * Incomplete parsing if XML contains namespace #257 #707
  * *New**
  * Associate/Dissociate Reserved IP #695 #716
* Wed Jun 15 2016 jgleissner@suse.com
- Update to Version 2.0.0 (bsc#982804)
  * Azure Active Directory Graph API
  * Authorization: permissions, subscriptions, roles and more
  * CDN: profiles, endpoints creation and more
  * Apps:
  * Logic Apps: Workflow and job management
  * Web Apps: App Service Plan, web sites, certificate, domains and more
  * Notification Hubs: Namespaces, hub creation/deletion and more
  * Redis: create cache and more
  * Scheduler: create job collections, create job and more
  * Storage: create storage accounts, list keys, and more
  * Resource:
  * resources : create resource groups, register providers and more
  * features : manage features of provider and more
  * authorization : manage resource group lock and more
  * subscriptions : manage subscriptions and more
  * Network: create virtual networks, network interfaces, public ips and more
  * Compute: create virtual machines and more
- azure-sdk-for-python-2-6-setup.patch: make setup.py work with
  python < 2.7
- azure-sdk-for-python-readme-suse.patch: add README.suse
- dropped obsolete patches python-azure-publishing.patch and
  python-azure-replication.patch
* Fri Feb 26 2016 tbechtold@suse.com
- Require python-python-dateutil. package was renamed
* Fri Feb 12 2016 ms@suse.com
- Change back to use the master branch of the github repository
  as upstream source. In addition delete the storage part which
  will be moved in an extra package
* Thu Feb  4 2016 ms@suse.com
- Use pypi as upstream source for the package
* Tue Feb  2 2016 ms@suse.com
- Stay consistent in the version of storage and servicemanagement
* Fri Jan 22 2016 bear454@opensuse.org
- version 1.0.3
  + Synchronize with upstream version scheme
  Upstream release notes:
  "
  2015-01-20 Version 1.0.3
    [#491] #502 #422 Update documentation
    Update azure-storage dependency to 0.20.3
    Update azure-mgmt dependency to 0.20.2
  azure-mgmt-compute 0.20.1
    [#510] Missing "statuses" property in VirtualMachineInstanceView
  azure-servicemanagement-legacy 0.20.2
    [#487] #488 Add StaticVirtualNetworkIPAddress to network configuration
    [#497] Add replicate_vm_image, unreplicate_vm_image, share_vm_image
    [#501] #511 #514 Add update_os_image_from_image_reference
  Thank you to bear454, ekesken, kingliantop, mamoo, schaefi for their contributions.
  "
* Wed Jan 20 2016 ms@suse.com
- Specify the order of attributes when updating an OS Image
  The first element that is out of the order defined in
  https://msdn.microsoft.com/en-us/library/azure/jj157198.aspx
  will be dropped.
  For example, if the Eula element does not appear before Description,
  Eula attribute will not be updated, although a 200 OK status is
  returned.
* Wed Jan 20 2016 ms@suse.com
- Extended update_os_image method
  update_os_image now takes an instance of OSImage and allows to update
  all elements of an OSImage in the same way as it can be done with
  update_vm_image
* Fri Dec 11 2015 ms@suse.com
- bump release version
  + indicate suse patch level
* Thu Dec 10 2015 ms@suse.com
- Added update_os_image_from_image_reference method
  Pending upstream request and history can be found here:
  https://github.com/Azure/azure-sdk-for-python/pull/501
* Wed Nov 11 2015 ms@suse.com
- Update azure-sdk-for-python to version 0.20.1
  + This includes our publishing and replication patches upstream
* Mon Sep 14 2015 bear454@opensuse.org
- Debugging replication and publishing support.
* Mon Sep 14 2015 ms@suse.com
- Package required in SLE12 due to fate#319400
* Wed Aug 26 2015 ms@suse.com
- Added support for replication and publising via patches
  An effort to officially merge this into the Azure SDK is
  on its way
* Thu Jul 23 2015 ms@suse.com
- Azure file service now merged
* Tue Jul 21 2015 ms@suse.com
- Update to version 0.20.0
  + Microsoft restructured the SDK
  + Common error handling among all classes
  + More clear namespace handling, but incompatible with 0.11.x version
  + No reason to package unit tests
- Add updated patch asdk-add-files-service.patch
  + Implement files service create, delete, list handling of a share
* Wed Jun 24 2015 rjschwei@suse.com
- Update to version 0.11.1
  + Azure storage connection string support
  + Add a request_session parameter to storage and service bus classes
  + Fixes for bugs:
  + #370 Fix table service authentication for non-english locale
  + #380 Make protocol string case insensitive
  + #376 Make pyopenssl dependency optional
  + #360 Installing azure on Python 3 should not install futures
- Add patch asdk-add-files-service.patch
  + Implement files service create, delete, list handling of a share
* Fri May 29 2015 rjschwei@suse.com
- Update to version 0.11.0
    + Contains API incompatible changes
    + Remove 0001-Change-description-name.patch included upstream
    + Forward port 0001-Install-tests.patch and rename it to
    asdk_install_tests.patch
    + Enable SAS with Azure Storage, see
    http://azure-sdk-for-python.readthedocs.org/en/latest/storage.html
    for details
    + Create/list/delete job functionality added to SchedulerManagementService
    update_site added to WebsiteManagementService to start/stop web sites
    + Target x-ms-version 2014-10-01 for service management
    + Add virtual IP fields in Deployment
    + Make cloud service create/delete async
    + Delete cloud service now supports deleting blobs from storage
    + Support for specifying SourceMediaLink for DataVirtualHardDisks
    + Fix #350 wait_for_operation needs to flush as it prints
  - From 0.10.2
    + Fixes for bugs: #338 Version 0.10.0 fails with 'SocketReader' object
    has no attribute 'tell'
  - From 0.10.0
    + The library now targets x-ms-version '2014-02-14' of the storage REST
    API.
    See MSDN documentation for details on REST API changes
    2013-08-15: https://msdn.microsoft.com/en-us/library/azure/dn592124.aspx
    2014-02-14: https://msdn.microsoft.com/en-us/library/azure/dd894041.aspx
    + Performance improvements in xml deserialization of storage and service
    bus Table storage query_entities is ~25X faster for the maximum of
    1000 entities
    + Ability to upload and download blobs using multiple connections,
    along with retries when a chunk upload/download failure occurs
    Controlled via the max_connections, max_retries, retry_wait parameters
    + Use get_certificate_from_publish_settings to get a .pem certificate
    from your azure publish settings file
    + Ability to adjust the global http timeout
    + Service bus event hub support (create/update/delete hubs + send events)
    + Documentation for API Reference is now available at
    http://azure-sdk-for-python.readthedocs.org/en/documentation/index.html
    + Fix #237 Ability to use multiple connections to upload blob chunks
    in parallel
    + Fix #254 Improve performance of table storage (and more?)
    + Fix #258 Support authenticating with azureProfile like in CLI tools
    + Fix #259 Unicode error is raised instead of actual error
    + Fix #263 Change description name
    + Fix #268 delete_deployment does not pass comp=media to delete disks
    + Fix #271 Update current_name so that multiple parameters with the
    same name...
    + Fix #270 Documentation for capture_vm_image is incorrect
    + Fix #273 Unicode error with utf-8 encoding value
    + Fix #276 Service Mgmt - Reserved IP create/delete are async
    + Fix #280 add support for setting IdleTimeoutInMinutes on load
    balanced endpoint
    + Fix #288 InvalidHeaderValue on BlobService example
    + Fix #294 Upload of large files is too slow
    + Fix #304 Unable to upload large size files to Azure Page Blob
* Mon Dec 22 2014 rschweikert@suse.com
- Initial build
  + 0001-Change-description-name.patch --> Fix up the description
  + 0001-Install-tests.patch --> Install the unit tests
